**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/18.1/configuration-migration/vault-configuration-report.md

# Vault Configuration Report



Generate an Excel report containing configuration information for a Vault. Users must have the Vault Configuration Report permission to use this API.

<Endpoint path="/api/{version}/objects/vault/actions/configreport" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` (default) or `application/x-www-form-urlencoded` |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `include_inactive_components` | Optional: If set to `true`, inactive components and subcomponents are included in the report. If omitted, defaults to `false` and only active components and subcomponents are included. See [details for inactive workflows](/vault-api/api-reference/18.1/logs). |
| `include_components_modified_since` | Optional: Only include components modified since the specified date. Provide the date in the format `yyyy-mm-dd`. If omitted, includes all components. |
| `suppress_empty_results` | Optional: If set to `true`, Vault excludes tabs with only header rows from the report. |
</FieldTable>

##### Inactive Document Workflows {#inactive-document-workflows}

Vault ignores the setting `include_inactive_components` for document workflows. If a workflow was active, but is currently in "editing" state, the report shows the latest active version of it. If a workflow has never been active, the report does not include it.

##### Inactive Object Workflows {#inactive-object-workflows}

Vault respects the `include_inactive_components` setting for object workflows. If set to `true`, the report includes all inactive workflows, including those that have never been active. If set to `false`, the report does not include any workflows that are currently in "editing" state, including those that have an active version.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
- H "Content-Type: application/x-www-form-urlencoded" \
- d "include_components_modified_since=2017-01-01" \
https://myveevavault.com/api/v17.3/objects/vault/actions/configreport

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "url": "/api/v17.3/services/jobs/43902",
    "job_id": 43902
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the `url` and `job_id` of the new Configuration Report job. You can use these to find the [Job Status](/vault-api/api-reference/18.1/jobs), and using the `url` from the job status response, download your report. The download is a ZIP file. Your Vault user will also receive a notification with a download link.



---

**Previous:** [Vault Compare](/clinical/vault-api/api-reference/18.1/configuration-migration/vault-compare)  
**Next:** [Logs](/clinical/vault-api/api-reference/18.1/logs)